<template>
    <div class="container" id="container">
        <!-- <h1>Weekly Coding Challenge #1: Sign in/up Form</h1> -->
        <div class="form-container sign-in-container">
            <form @submit.prevent="logIn">
                <h1>Sign-in</h1>
                <span>Use your account</span>
                <input type="text" name="correo" placeholder="Usuario" autocomplete="off" />
                <input type="password" name="contra" placeholder="Contraseña" autocomplete="off" />
                <select name="type" id="type">
                    <!-- <option value="Paciente">Paciente</option> -->
                    <option value="Médico">Médico</option>
                    <option value="Enfermera">Enfermera</option>
                </select> 
                <a href="#">¿Olvidaste tu clave?, que pena 😂</a>
                <input type="submit" value="Sign In" />
            </form>
        </div>
        <div class="overlay-container">
            <div class="overlay">
                <div class="overlay-panel overlay-right">
                    <h1 class="white-text">Bienvenid@</h1>
                    <p class="white-text">Ingresa tus credenciales para que iniciemos tu viaje 😊</p>
                    <button class="ghost" id="signUp">Sign Up</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
    import axios from 'axios';
    definePageMeta({
        layout: 'login-layout',
    });
    async function logIn(event: Event) {
        let r:any = await axios.post('api/system/log', new FormData(event.target as HTMLFormElement), {
            headers: {
                'Content-Type': 'application/json',
                'method': 'in'
            }
        });
        
        if (r.data.user !== null) {
            return navigateTo('/');
        } else {
            alert("Credenciales incorrectas");
        }
    }
</script>